
Game_Modify.StartWar=function(_msg){//开战 
	
	
	
}
Game_Modify._ReceiveData=function(_msg){//接收数据包 

}
Game_Modify.createRoom=function(_roomtype,_infinite){//创建房间 

}
Game_Modify.myJoinRoom=function(_msg){//自己进入房间 

}
Game_Modify.Reconnect=function(_deskinfo){//重连 
	
}
Game_Modify.stopAllSounds=function(){//关闭所有声音 (游戏声音)
	
}
Game_Modify.Free=function(_msg){//投票解散结果为同意时，点击结果界面确认的按钮时触发 
	
}
Game_Modify.DeskInfo=function(_msg){//未开战状态下自己加入是牌桌数据 
	
}
Game_Modify.breakRoom=function(){//游戏已开局情况下自己退出房间触发 
	
}

Game_Modify.playerJoinRoom=function(seat){//其他玩家加入房间 
	
}
Game_Modify.playerLeaveRoom=function(seat){//其他玩家离开房间 

}
Game_Modify.updateScene = function(){//更新游戏界面
	//根据本地数据重新显示界面
	
}
Game_Modify.closeGameScene=function(){//关闭游戏界面 
	
}
Game_Modify.playerOffline = function(seat){//玩家离线
	
}
Game_Modify.playerOnline = function(seat){//玩家上线
	
}
Game_Modify.playerphonestate = function(seat,type){//玩家电话状态type->挂断1->接打电话、有电话进来的状态
	
}
Game_Modify.shakeEvent = function(){
	switch(GameData.shakeID){
		case Game_Config.shakeList.startwar://摇一摇开战（如果有主动开战）
			var data={};
			data.agentid=GameData.AgentId;
			data.gameid=GameData.GameId;
			data.playerid=C_Player.playerid;
			data.roomcode=Desk.roomcode;
			Net.Send_self_makewar(data);
			Func.stopshake();
			GameData.shakeID=Game_Config.shakeList.nil;
			break;
	}
}
Game_Modify.calResult = function(inputArr){
	
}
Game_Modify.onEnterMainScene = function(roomtype){//进入游戏主场景 
	console.log("进入游戏主场景");
}
Game_Modify.onExitMainScene = function(){//退出游戏主场景 
	console.log("退出游戏主场景");
}
Game_Modify.onGameConfig = function(_gameConfig){//获取到游戏配置时调用(只在game_config有数据时才调用) 
	
}
Game_Modify.onEnterVideo = function(){//进入牌局回放触发 
	
}
Game_Modify.onSurrender = function(_msg){//收到投降回包 
	
}
Game_Modify.onReady = function(seat){//玩家准备触发 
	
}
Game_Modify.getRoomInfo = function(roomtype,type,tea){//通过roomtype获取房间描述每行最多18个字符超过需要自己换行type1系统房间2非系统房间 
	console.log("Game_Modify.getRoomInfo:"+roomtype);
	return "房间描述"+roomtype;
}
Game_Modify.getStarLimit = function(roomtype){//通过roomtype获取房间星星场下限数量(准入)
	console.log("Game_Modify.getStarLimit:"+roomtype); 
	return 2001000;
}
Game_Modify.getMult = function(roomtype,type){//通过roomtype获取房间星星场倍数
	console.log("Game_Modify.getStarLimit:"+roomtype);
	return 10000;
}
Game_Modify.getFullRoomInfo = function(roomtype){//通过roomtype获取房间全部信息描述 每行最多26个字符超过需要自己换行
	console.log("Game_Modify.getFullRoomInfo:"+roomtype);
	return "房间描述房间描\n述房间描述房间\n描述房间描述"+roomtype;
}
Game_Modify.onOpenHelp = function(spid){//打开帮助页面触发 
	
}
//显示大厅界面触发
Game_Modify.onMainMenuScene = function(){

} 
//确认数字输入框回调 
Game_Modify.onCheckInput = function(_result){
	console.log(_result);
}
//创建房间成功后触发
Game_Modify.onCreateRoom = function(_data){
	
	
} 
//获取离场限制 
Game_Modify.getLeaveLimit = function(roomtype){

	return 10;
}
//成功获取定位信息触发 
Game_Modify.onLocationInfo = function(_locationInfo){
	if(_locationInfo){
		if(!gamehall_Data.isLocation){
			gamehall_Data.isLocation = 1;
			Utl.SaveData(gamehall_Logic.isLocation,1);
			gamehall_Data.isLocation = 1;
			var aConfig = gamehall_Logic.alyArea([_locationInfo.longitude,_locationInfo.latitude]);
			if(aConfig){
				var agConfig = gamehall_Logic.isExitAgentCode(aConfig.agentCode);
				if(agConfig){
					gamehall_Data.agentConfigTemp = agConfig;
					if(gamehall_Data.agentConfig){
						if(gamehall_Data.agentConfigTemp.agentCode != gamehall_Data.agentConfig.agentCode){
							gamehall_GameUI.openCheckSwitch(true);
						}
					}else{
						gamehall_GameUI.openCheckSwitch(true);	
					}
					
				}else{
					gamehall_Data.agentConfigTemp = null;
				}
			}
		}
	}
} 
//进入游戏界面创建牌桌之前调用 
Game_Modify.onCreateDesk = function(roomtype){
	console.log("onCreateDesk:"+roomtype);
} 
//通过roomtype获取是否开启视频功能0->不开启1->开启 
Game_Modify.getVideoByRoomType = function(roomtype){
	return 1;
} 
//返回值为字符数组数组每项为房间一项描述信息 
Game_Modify.getRoomTopDescAry = function(roomtype){
	console.log(roomtype);
	return ["2人跑得快(17张)","特色玩法"];
}
//星星场房间列表 
Game_Modify.getShareRoom = function(_msg){
	
}
//玩家自己退出房间 
Game_Modify.myExitRoom = function(seat){

}
//接收到换座包触发 
Game_Modify.changeSeat = function(seat1,seat2){
	
}
//关闭vip选项时调用
Game_Modify.onCloseVip = function(){
	
} 
Game_Modify.getRoomMode = function(roomtype){
	return 0;
}





